package com.jachdev.consumerprotection.data;

import com.google.gson.annotations.SerializedName;

/**
 * Created by Charitha Ratnayake(charitha.r@eyepax.com) on 3/20/2022.
 */
public class LipidProfile {

    private String uid;
    @SerializedName("doc_uid")
    private String docUid = "22fb9e79a87411ff17e263cb1429c554";
    private String glu;
    private String cho;
    private String hdl;
    private String ldl;
    @SerializedName("created_at")
    private long createdAt;
    @SerializedName("updated_at")
    private long updatedAt;

    public LipidProfile() {
    }

    public LipidProfile(String uid, long createdAt) {
        this.uid = uid;
        this.createdAt = createdAt;
        this.updatedAt = createdAt;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getDocUid() {
        return docUid;
    }

    public void setDocUid(String docUid) {
        this.docUid = docUid;
    }

    public String getGlu() {
        return glu;
    }

    public void setGlu(String glu) {
        this.glu = glu;
    }

    public String getCho() {
        return cho;
    }

    public void setCho(String cho) {
        this.cho = cho;
    }

    public String getHdl() {
        return hdl;
    }

    public void setHdl(String hdl) {
        this.hdl = hdl;
    }

    public String getLdl() {
        return ldl;
    }

    public void setLdl(String ldl) {
        this.ldl = ldl;
    }

    public long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(long createdAt) {
        this.createdAt = createdAt;
    }

    public long getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(long updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return "LipidProfile{" +
                "uid='" + uid + '\'' +
                ", docUid='" + docUid + '\'' +
                ", glu='" + glu + '\'' +
                ", cho='" + cho + '\'' +
                ", hdl='" + hdl + '\'' +
                ", ldl='" + ldl + '\'' +
                ", createdAt=" + createdAt +
                ", updatedAt=" + updatedAt +
                '}';
    }
}
